local Tunnel = module("vrp", "lib/Tunnel")
local Proxy = module("vrp", "lib/Proxy")

vRP = Proxy.getInterface("vRP")
vRPclient = Tunnel.getInterface("vRP","vRP_turfs")

vRPCturfs = Tunnel.getInterface("vRP_turfs","vRP_turfs")

BMclient = Tunnel.getInterface("vRP_basic_menu","vRP_basic_menu")

vRPSturfs = {}
Tunnel.bindInterface("vRP_turfs",vRPSturfs)
Proxy.addInterface("vRP_turfs",vRPSturfs)

theTurfs = {}
turfCD = {}
turfs = {}
turfCount = {}
alreadyExecuted = {}

local playerscore = {}

function vRPSturfs.spawnTurfs()
	turfs = {}
	exports.oxmysql:query("SELECT * FROM vrp_turfs",{},function(rows)
		if #rows > 0 then
			for k,v in pairs(rows)do
				id = v.id
				x = v.x
				y = v.y
				z = v.z
				blipColor = vRP.getFactionBlip({v.faction})
				blipRadius = v.blipRadius
				faction = v.faction
				attackedBy = nil
				turfs[id] = {x=x,y=y,z=z,blipRadius=blipRadius,blipColor=blipColor,faction=faction,inattack=false}
				table.insert(theTurfs,{id=id,x=x,y=y,z=z,blipColor=blipColor,blipRadius=blipRadius,faction=faction,attackedBy=attackedBy})
			end
			for i,v in ipairs(rows)do
				if(turfCount[v.faction] == nil)then
					turfCount[v.faction] = 0
				end
				turfCount[v.faction] = turfCount[v.faction] + 1
			end
		end
	end)
	Wait(100)
	vRPSturfs.spawnTurfsC(-1)
end

function vRPSturfs.spawnTurfsC(thePlayer)
	exports.oxmysql:query("SELECT * FROM vrp_turfs",{},function(rows)
		for k,v in pairs(rows)do
			id = v.id
			x = v.x
			y = v.y
			z = v.z
			blipColor = vRP.getFactionBlip({v.faction})
			factionHex = vRP.getFactionColor({v.faction})
			blipRadius = v.blipRadius
			faction = v.faction
			attackedBy = nil
			vRPCturfs.spawnTheTurfs(thePlayer,{id,x,y,z,blipColor,blipRadius,faction,factionHex})
		end
	end)
end

RegisterCommand("turfs",function(source)
	local thePlayer = source
	Wait(500)
	vRPCturfs.showTheTurfs(thePlayer,{})
end)

RegisterCommand('borders',function(source)
    local thePlayer = source
    vRPCturfs.showBorders(thePlayer,{})
end)

RegisterCommand("createTurf", function(player)
    local user_id = vRP.getUserId({player})
    local isAdmin = vRP.isUserFondator({user_id})

    if isAdmin then
        local ped = GetPlayerPed(player)
        local coords = GetEntityCoords(ped)
        vRP.prompt({player, "Introdu raza turfului (default: 110)" , "", function(player, blipRadius)
            if blipRadius  and tonumber(blipRadius) then
                blipRadius = parseFloat(blipRadius)

                exports.oxmysql:query("INSERT INTO vrp_turfs(x, y, z, blipRadius, faction) VALUES(@x, @y, @z, @bRadius, 'Neocupat')", {
                    x = coords.x,
                    y = coords.y,
                    z = coords.z,
                    bRadius = blipRadius,
                }, function(rows)
                    if rows.affectedRows > 0 then
                        vRPclient.notify(player, {"Ai creeat turful cu id "..rows['insertId'].."!"})
                        vRPSturfs.spawnTurfs()
                    else
                        vRPclient.notify(player, {" ~y~A aparut o eroare la inserarea in baza de date."})
                    end
                end)
            else
                vRPclient.notify(player, {" ~y~Raza specificata este invalida."})
            end
        end}) 
    else
        vRPclient.notify(player, {" ~y~Nu ai acces la aceasta comanda."})
    end

end)

cemortitaivrei = false

local minute = {}
local secunde = {}
startTimer = function(min,sec,turfID)
	minute[turfID] = min
	secunde[turfID] = sec
	CreateThread(function()
		while true do

			Wait(1000)
			if minute[turfID] < 0 or secunde[turfID] < 0 then
				endTurf(turfID)
				break
			end

			secunde[turfID] = secunde[turfID] - 1
			if secunde[turfID] <= 0 then
				secunde[turfID] = 59
				minute[turfID] = minute[turfID] - 1
			end

			infaction = vRP.getOnlineUsersByFaction({turfWars[turfID].enemyFaction})
			for k,v in pairs(infaction)do
				sugipl = vRP.getUserSource({v})
				if playerscore[sugipl] == nil then 
					playerscore[sugipl] = {kills = 0, deaths = 0}
				end
				vRPCturfs.updateTime(sugipl,{minute[turfID],secunde[turfID], playerscore[sugipl].kills, playerscore[sugipl].deaths })	
			
			end

			infaction1 = vRP.getOnlineUsersByFaction({turfWars[turfID].allyFaction})
			for k,v in pairs(infaction1)do
				sugipl = vRP.getUserSource({v})
				if playerscore[sugipl] == nil then 
					playerscore[sugipl] = {kills = 0, deaths = 0}
				end
				vRPCturfs.updateTime(sugipl,{minute[turfID],secunde[turfID], playerscore[sugipl].kills, playerscore[sugipl].deaths})
		
			end

			if cemortitaivrei then
				vRPCturfs.setturfColor(-1,{turfID,vRP.getFactionBlip({turfWars[turfID].allyFaction})})
			else 
				vRPCturfs.setturfColor(-1,{turfID,vRP.getFactionBlip({turfWars[turfID].enemyFaction})})
			end
		end
	end)
end

cancelAttack = function(turfID)
	local users = vRP.getUsers({})
	for k,v in pairs(users)do
		if vRP.isUserInFaction({k,turfWars[turfID].allyFaction}) then
			vRPCturfs.endTurfWar(v,{turfID})
			vRPCturfs.setInTheTurf(v,{false})
			SetPlayerRoutingBucket(v,0)
			playerscore[v] = nil
		elseif vRP.isUserInFaction({k,turfWars[turfID].enemyFaction}) then
			vRPCturfs.endTurfWar(v,{turfID})
			vRPCturfs.setInTheTurf(v,{false})
			SetPlayerRoutingBucket(v,0)
			playerscore[v] = nil
		end
	end
	lastAttacked[turfWars[turfID].enemyFaction] = os.time()
	inWar[turfWars[turfID].allyFaction] = false
	inWar[turfWars[turfID].enemyFaction] = false
	minute[turfID] = {}
	secunde[turfID] = {}
	turfWars[turfID] = {}
	vRPSturfs.spawnTurfs()
	vRPCturfs.stopStartedWar(-1,{turfID})
	Wait(500)
	vRPSturfs.spawnTurfs()
end

endTurf = function(turfID)
	local users = vRP.getUsers({})
	Wait(500)
	if turfWars[turfID].allyScore > turfWars[turfID].enemyScore then
		TriggerClientEvent('chatMessage',-1,"^3[Turfs]^0 Razboiul dintre factiunea ^3"..turfWars[turfID].allyFaction.."^0 si factiunea ^3"..turfWars[turfID].enemyFaction.."^0 a fost castigat de catre ^3"..turfWars[turfID].allyFaction.."!")
		TriggerClientEvent("chatMessage",-1,"	^0Scor: ^3"..turfWars[turfID].allyScore.." ^0(^3"..turfWars[turfID].allyFaction.."^0)  ^3"..turfWars[turfID].enemyScore.." ^0(^3"..turfWars[turfID].enemyFaction.."^0)")

	elseif turfWars[turfID].allyScore < turfWars[turfID].enemyScore then
		TriggerClientEvent('chatMessage',-1,"^3[Turfs]^0 Razboiul dintre factiunea ^3"..turfWars[turfID].allyFaction.."^0 si factiunea ^3"..turfWars[turfID].enemyFaction.."^0 a fost castigat de catre ^9"..turfWars[turfID].enemyFaction.."!")
		TriggerClientEvent("chatMessage",-1,"	^0Scor: ^3"..turfWars[turfID].enemyScore.." ^0(^3"..turfWars[turfID].enemyFaction.."^0)  ^3"..turfWars[turfID].allyScore.." ^0(^3"..turfWars[turfID].allyFaction.."^0)")
		exports.oxmysql:query("UPDATE vrp_turfs SET faction=@faction,blipColor=@fColor WHERE id = @turfId",{['turfId'] = turfID,['faction'] = turfWars[turfID].enemyFaction,['fColor'] = vRP.getFactionBlip({turfWars[turfID].enemyFaction}) })

	elseif turfWars[turfID].allyScore == turfWars[turfID].enemyScore then
		TriggerClientEvent('chatMessage',-1,"^3[Turfs]^0 Factiunea ^3"..turfWars[turfID].allyFaction.."^0 a facut fata in razboi factiunii ^3"..turfWars[turfID].enemyFaction.."!")
		TriggerClientEvent("chatMessage",-1,"	^0Scor: ^3"..turfWars[turfID].allyScore.." ^0(^3"..turfWars[turfID].allyFaction.."^0)  ^3"..turfWars[turfID].enemyScore.." ^0(^3"..turfWars[turfID].enemyFaction.."^0)")
	end
	coords1 = vRP.getFactionCoords({turfWars[turfID].allyFaction})
	coords2 = vRP.getFactionCoords({turfWars[turfID].enemyFaction})
	for k,v in pairs(users) do
		if vRP.isUserInFaction({k,turfWars[turfID].allyFaction}) then
			vRPCturfs.endTurfWar(v,{turfID})
			vRPCturfs.setInTheTurf(v,{false})
			SetPlayerRoutingBucket(v,0)
			vRPclient.teleport(v,{coords1[1],coords1[2],coords1[3]})
			vRPCturfs.closeScoreBoard(v,{})
			playerscore[v] = nil
		elseif vRP.isUserInFaction({k,turfWars[turfID].enemyFaction}) then
			vRPCturfs.endTurfWar(v,{turfID})
			vRPCturfs.setInTheTurf(v,{false})
			SetPlayerRoutingBucket(v,0)
			vRPclient.teleport(v,{coords2[1],coords2[2],coords2[3]})
			vRPCturfs.closeScoreBoard(v,{})
			playerscore[v] = nil
		end

	end
	turfs[turfID].inattack = false
	lastAttacked[turfWars[turfID].enemyFaction] = os.time()
	inWar[turfWars[turfID].allyFaction] = false
	inWar[turfWars[turfID].enemyFaction] = false
	minute[turfID] = {}
	secunde[turfID] = {}
	turfWars[turfID] = {}
	vRPCturfs.stopStartedWar(-1,{turfID})
	Wait(1000)
	vRPSturfs.spawnTurfs()
end

inWar = {}
turfWars = {}
gucii = true
lastAttacked = {}
staipotol = {}

RegisterCommand('warcar', function(source)
    local user_id = vRP.getUserId({source})
    local factiuneprost = vRP.getUserFaction({user_id})
	local fType = vRP.getFactionType({factiuneprost})
	local sloboz = os.date("%H")
	ora = parseInt(sloboz)
	local model = 'kuruma'
	if fType == "Mafie" and ora >= 12 and ora < 22 and staipotol[user_id] == nil then
		staipotol[user_id] = true
		SetTimeout(10000,function()
			staipotol[user_id] = nil
		end)
        BMclient.spawnVehicle(source,{model})
    else 
        vRPclient.notify(source,{">> Nu ai acces"})
    end
end)

RegisterCommand("attack",function(source)
	local thePlayer = source
	local user_id = vRP.getUserId({source})
	local hasFaction = vRP.hasUserFaction({user_id})
	ora = parseInt(os.date("%H"))
	if ora >= 12 and ora < 22 then -- trebuie modificat aici
		if hasFaction then
			local faction = vRP.getUserFaction({user_id})
			local fType = vRP.getFactionType({faction})
			if fType == "Mafie" then
				vRPCturfs.isPlayerInTurf(thePlayer,{0},function(inTurf)
					if inTurf then
						turfID = inTurf
						if (os.time() - lastAttacked[faction]) < 300 then 
							TriggerClientEvent("chatMessage",thePlayer,"^3[TURFS] ^0Asteapta ^3"..(300 - (os.time() - lastAttacked[faction])).." secunde^0 pana sa ataci alt teritoriu!")
							return
						else
							if turfs[turfID].faction == faction then
								vRPclient.notify(thePlayer,{"Eroare: Nu poti sa ataci propiul tau teritoriu"})
							else
								allyF = vRP.getOnlineUsersByFaction({faction})
								enemyF = vRP.getOnlineUsersByFaction({turfs[turfID].faction})
								if turfs[turfID].faction == "Neocupat" then
									isFactionLeader = vRP.isFactionLeader({user_id,faction})
									if isFactionLeader then
										exports.oxmysql:query("UPDATE vrp_turfs SET faction=@faction,blipColor=@color WHERE id = @turfId",{turfId = turfID,faction = faction,color=1})
										Wait(500)
										vRPSturfs.spawnTurfs()
										vRPclient.notify(thePlayer,{"Succes: Ai cucerit turf-ul, turf-ul nu era ocupat"})
									else
										vRPclient.notify(thePlayer,{"Eroare: Trebuie sa deti functia de lider "..faction})
									end
								else
									if #allyF >= 0 then -- trebuie modificat aici
										if #enemyF >= 0 then -- trebuie modificat aici
		
												isFactionLeader = vRP.isFactionLeader({user_id,faction})
												if isFactionLeader then
													
													if not inWar[faction] then
														if not inWar[turfs[turfID].faction] then
															if turfs[turfID].inattack == false then
																--turfCD[faction] = os.time()
																inWar[turfs[turfID].faction] = true
																inWar[faction] = true
																turfWars[turfID] = {allyScore=0,enemyScore=0,allyFaction = turfs[turfID].faction,enemyFaction = faction}
																vRPCturfs.setWarStarted(-1,{turfID})
																startTimer(19,59,turfID)
																turfs[turfID].inattack = true
																Wait(550)
																
																for k,v in pairs(vRP.getUsers({})) do
																	if vRP.isUserInFaction({k,turfWars[turfID].allyFaction}) then
																		vRPCturfs.flickTurf(v,{turfID, 899})
																		vRPCturfs.setInTheTurf(v,{turfID})
																		SetPlayerRoutingBucket(v,turfID)
																		vRPCturfs.drawTimer(v,{minute[turfID],secunde[turfID],turfID})
																		vRPCturfs.updateScore(v,{turfWars[turfID].enemyScore,turfWars[turfID].allyScore,turfWars[turfID].enemyFaction,turfWars[turfID].allyFaction})
																		playerscore[v] = {kills = 0, deaths = 0}
																	elseif vRP.isUserInFaction({k,turfWars[turfID].enemyFaction}) then
																		vRPCturfs.flickTurf(v,{turfID, 899})
																		vRPCturfs.setInTheTurf(v,{turfID})
																		SetPlayerRoutingBucket(v,turfID)
																		vRPCturfs.drawTimer(v,{minute[turfID],secunde[turfID],turfID})
																		vRPCturfs.updateScore(v,{turfWars[turfID].enemyScore,turfWars[turfID].allyScore,turfWars[turfID].enemyFaction,turfWars[turfID].allyFaction})
																		playerscore[v] = {kills = 0, deaths = 0}
																	end
																end
															else
																vRPclient.notify(thePlayer,{'Eroare: Aceast turf este deja in war'})
															end
														else
															vRPclient.notify(thePlayer,{'Eroare: Aceasta factiune este deja in war'})
														end
													else
														vRPclient.notify(thePlayer,{"Eroare: Deja esti intr-un war!"})
													end
												else
													vRPclient.notify(thePlayer,{"Eroare: Trebuie sa deti functia de lider "..faction})
												end
											--end
										else
											vRPclient.notify(thePlayer,{"Eroare: Factiunea inamica trebuie sa aiba 3 membrii online"})
										end
									else
										vRPclient.notify(thePlayer,{"Eroare: Nu ai 3 membrii online in factiune"})
									end
							end
						end
					end
	
					else
						vRPclient.notify(thePlayer,{"Nu esti in niciun Turf!"})
					end
				end)
			else
				vRPclient.notify(thePlayer,{"Info: Te crezi mafiot?"})
			end
		end
	else
		vRPclient.notify(thePlayer,{"Info: Warurile incep de la ora 12:00 si tin pana la 22:00"})
	end
end)

RegisterCommand("wars",function(source)
	local data = json.decode(json.encode(turfWars))
	for k,v in pairs(turfWars)do
		if v.enemyFaction and v.allyFaction then
			TriggerClientEvent('chatMessage',source,"^3==================================================")
			TriggerClientEvent("chatMessage",source,"^2[Turf #"..k.."] ^0"..v.allyFaction.." ^3[Scor: ^3"..v.allyScore.."^3]^0 ^3vs ^0"..v.enemyFaction.." ^3[Scor: ^3"..v.enemyScore.."^3] ")
			TriggerClientEvent('chatMessage',source,"	Timp turf: ^3"..minute[k]..":"..secunde[k])
			TriggerClientEvent('chatMessage',source,"^3==================================================")
		end
	end
end)

Citizen.CreateThread(function()
	while true do
		myusers = vRP.getUsers({})
		if cemortitaivrei == false then
			cemortitaivrei = true
		else
			cemortitaivrei = false
		end
		Citizen.Wait(5000)
	end
end)

--[[RegisterCommand("sh",function(source)
	vRPSturfs.spawnTurfs()
	local users = vRP.getUsers({})
	for k,v in pairs(users)do
		alreadyExecuted[v] = nil
	end 
end)]]

AddEventHandler("vRP:playerSpawn",function(user_id,source,first_spawn)
	if first_spawn then
		Wait(250)
		vRPSturfs.spawnTurfsC(source)
		local hasFaction = vRP.hasUserFaction({user_id})
		if hasFaction then
			local theFaction = vRP.getUserFaction({user_id})
			for k,v in pairs(theTurfs)do
				turfID = v.id
				if turfWars[turfID]then
					if turfWars[turfID].allyFaction == theFaction or turfWars[turfID].enemyFaction == theFaction then
						alreadyExecuted[source] = nil 
						vRPCturfs.setWarStarted(source,{turfID})
						SetPlayerRoutingBucket(source, turfID)

						vRPCturfs.setInTheTurf(source,{turfID})
						vRPCturfs.drawTimer(source,{minute[turfID],secunde[turfID],turfID})
						vRPCturfs.updateScore(source,{turfWars[turfID].enemyScore,turfWars[turfID].allyScore,turfWars[turfID].enemyFaction,turfWars[turfID].allyFaction})
						break
					end
				end
			end
		end
	end
end)

local cfg = module("vrp","cfg/factions")
local factions = cfg.factions

AddEventHandler("onResourceStart", function(res)
	Citizen.Wait(200)
	vRPSturfs.spawnTurfs()
	vRPSturfs.spawnTurfsC(-1)
	
	for i,v in pairs(factions) do
		lastAttacked[i] = 0
	end

	for k,v in pairs(vRP.getUsers({}))do

		Wait(50)
		local source = v
		vRPSturfs.spawnTurfsC(source)
		local hasFaction = vRP.hasUserFaction({user_id})
		if hasFaction then
			local theFaction = vRP.getUserFaction({user_id})
			for k,v in pairs(theTurfs)do
				turfID = v.id
				if turfWars[turfID]then
					if turfWars[turfID].allyFaction == theFaction or turfWars[turfID].enemyFaction == theFaction then
						alreadyExecuted[source] = nil 
						vRPCturfs.setWarStarted(source,{turfID})
						SetPlayerRoutingBucket(source, turfID)
			
						vRPCturfs.setInTheTurf(source,{turfID})
						vRPCturfs.drawTimer(source,{minute[turfID],secunde[turfID],turfID})
						vRPCturfs.updateScore(source,{turfWars[turfID].enemyScore,turfWars[turfID].allyScore,turfWars[turfID].enemyFaction,turfWars[turfID].allyFaction})
						break
					end
				end
			end
		end
	end 
end)

RegisterServerEvent("turfs:playerDied")
AddEventHandler("turfs:playerDied",function(data)
	local thePlayer = source
	local user_id = vRP.getUserId({thePlayer})
	if thePlayer  and not WasEventCanceled() then

		if data.killerServerId <= 0  then 
			vRPCturfs.isPlayerInTurf(thePlayer,{0},function(inTurf)
				if inTurf then
					if turfWars[inTurf] then
						local hasFaction = vRP.hasUserFaction({user_id})
						if hasFaction then
							local faction = vRP.getUserFaction({user_id})
							local fType = vRP.getFactionType({faction})
							vRPCturfs.isInWarAndInComa(thePlayer,{},function(inComa)
								if inComa then
									coords = vector3(-538.86419677734,-214.28733825684,37.649772644042)
									if turfWars[inTurf].allyFaction == faction then
										turfWars[inTurf].enemyScore = turfWars[inTurf].enemyScore + 1
									elseif turfWars[inTurf].enemyFaction == faction then
										turfWars[inTurf].allyScore = turfWars[inTurf].allyScore + 1
									end
									local users = vRP.getUsers({})
									for k,v in pairs(users) do
										if vRP.isUserInFaction({k,turfWars[inTurf].allyFaction}) then
											vRPCturfs.updateScore(v,{turfWars[inTurf].enemyScore,turfWars[inTurf].allyScore,turfWars[inTurf].enemyFaction,turfWars[inTurf].allyFaction})
										elseif vRP.isUserInFaction({k,turfWars[inTurf].enemyFaction}) then
											vRPCturfs.updateScore(v,{turfWars[inTurf].enemyScore,turfWars[inTurf].allyScore,turfWars[inTurf].enemyFaction,turfWars[inTurf].allyFaction})
										end
									end
									TriggerClientEvent('KillFeed:AnnounceKill', -1, "Gravitatia", GetPlayerName(thePlayer), data.deathCause, data.victimCoords, faction)
									vRPCturfs.drawTimer(thePlayer,{minute[inTurf],secunde[inTurf],inTurf})
									vRPCturfs.revivePlayer(thePlayer,{})
									vRPclient.teleport(thePlayer,{coords[1],coords[2],coords[3]})
									playerscore[source].deaths = playerscore[source].deaths + 1
								end
							end)
						end
					end
				end
			end)
		else

			vRPCturfs.isPlayerInTurf(thePlayer,{0},function(inTurf)
				if inTurf then
					if turfWars[inTurf] then
						local hasFaction = vRP.hasUserFaction({user_id})
						if hasFaction then
							local faction = vRP.getUserFaction({user_id})
							local fType = vRP.getFactionType({faction})
							vRPCturfs.isInWarAndInComa(thePlayer,{},function(inComa)
								if inComa then
									coords = vRP.getFactionCoords({faction})
									if turfWars[inTurf].allyFaction == faction then
										turfWars[inTurf].enemyScore = turfWars[inTurf].enemyScore + 1
									elseif turfWars[inTurf].enemyFaction == faction then
										turfWars[inTurf].allyScore = turfWars[inTurf].allyScore + 1
									end
									local users = vRP.getUsers({})
									for k,v in pairs(users) do
										if vRP.isUserInFaction({k,turfWars[inTurf].allyFaction}) then
											vRPCturfs.updateScore(v,{turfWars[inTurf].enemyScore,turfWars[inTurf].allyScore,turfWars[inTurf].enemyFaction,turfWars[inTurf].allyFaction})
										elseif vRP.isUserInFaction({k,turfWars[inTurf].enemyFaction}) then
											vRPCturfs.updateScore(v,{turfWars[inTurf].enemyScore,turfWars[inTurf].allyScore,turfWars[inTurf].enemyFaction,turfWars[inTurf].allyFaction})
										end
									end
									vRPCturfs.drawTimer(thePlayer,{minute[inTurf],secunde[inTurf],inTurf})
									vRPCturfs.revivePlayer(thePlayer,{})
									vRPclient.teleport(thePlayer,{coords[1],coords[2],coords[3]})
									playerscore[source].deaths = playerscore[source].deaths + 1
								end
							end)
						end
					end
				end
			end)

			local killerSource = data.killerServerId
			local killerName = GetPlayerName(killerSource)
			local mortName = GetPlayerName(source)
			local cauzaMoarte = data.deathCause
			local victimCoords = data.victimCoords
			local faction = vRP.getUserFaction({user_id})
			vRPCturfs.isPlayerInTurf(killerSource,{0},function(inTurf)
				if inTurf then
					vRPCturfs.isInWarAndInComa(thePlayer,{},function(inComa)
						if inComa then
							TriggerClientEvent('KillFeed:AnnounceKill', -1, mortName, killerName, cauzaMoarte, victimCoords, faction)
							playerscore[killerSource].kills = playerscore[killerSource].kills + 1
						end
					end)
				end
			end)
		end

	end
	CancelEvent()
end)


AddEventHandler('weaponDamageEvent', function(sender, data)
	ora = parseInt(os.date("%H"))
	if ora >= 12 and ora < 22 then -- trebuie modificat aici
    	local damage = data.weaponDamage
    	local isKill = data.willKill
   		TriggerClientEvent('ddamage',sender, data.weaponDamage, sender,isKill)
	end
end)

function vRPSturfs.getFactionColor(faction)
	factionColor = vRP.getFactionColor({faction})
	return factionColor
end

